Page 1 of 1

Update apache and php!

Posted: 2008/11/09 18:37:07
by SERGIUS
I'm from USSR. I understand english, a little!

I'm installed CentOS 5.2.

In it
php 5.1.6
apache 2.2.3

It is necessary for me the latest, but in RPMS is not present, how to update from Source Code? :-(

Re: Update apache and php!

Posted: 2008/11/09 18:54:17
by NedSlider
Please read this:

http://wiki.centos.org/PackageManagement/SourceInstalls

We do not recommend installing from source.

Why do you need the very latest versions?

Re: Update apache and php!

Posted: 2008/11/09 19:00:03
by SERGIUS
phpMyAdmin Latest stable 3.x version: need php 5.2.x and ^
engine CMS torrent (torrentpier http://www.torrents.ru) need php 5.2.x and ^
:-?

Re: Update apache and php!

Posted: 2008/11/09 19:08:44
by NedSlider
Then you will find php 5.2.6 is available in testing here:

http://dev.centos.org/centos/5/testing/

This is a testing version and you should use it on production servers at your own risk. If you do use it, please provide feedback via the devel mailing list or on bugs.centos.org.

Re: Update apache and php!

Posted: 2008/11/09 19:12:48
by SERGIUS
How to adjust yum for updating from the catalogue:
http://dev.centos.org/centos/5/testing/i386/
?

Re: Update apache and php!

Posted: 2008/11/09 19:14:53
by NedSlider
Either set it up as a repo (see: /etc/yum.repos.d/CentOS-Base.repo) or alternatively just download (wget) the required RPMs and install them manually.

Re: Update apache and php!

Posted: 2008/11/09 19:24:25
by SERGIUS
Thanks!

[img]http://www.kolobok.us/smiles/standart/air_kiss.gif[/img][img]http://www.kolobok.us/smiles/standart/thank_you.gif[/img]

Re: Update apache and php!

Posted: 2008/11/09 19:29:22
by SERGIUS
http://dev.centos.org/centos/5/testing/i386/
Than differs?
http://dev.centos.org/centos/5/testing/i386/RPMS/

[img]http://www.kolobok.us/smiles/standart/dntknw.gif[/img][img]http://www.kolobok.us/smiles/standart/scratch_one-s_head.gif[/img]